# Calculator UI

Calculator UI is a Factorio mod which adds a calculator to the Factorio game with the goal to have a little bit of usability behind it.

## Based on
The 4-Function Calculator found in the [Max Rate Calculator](https://mods.factorio.com/mod/MaxRateCalculator) mod by [Theanderblast](https://mods.factorio.com/user/theanderblast).

## Features
- List of recent calculations
- Use of parentheses in the equation
- rounding of numbers (number of decimal places can be set in the settings)
- copy a recent calculation into the current calculation (by shift+left-click on the equation you want to copy)
- a nifty little easter egg ;-)
- use of some advanced function and constants of the Lua [math-lib](http://lua-users.org/wiki/MathLibraryTutorial) (without math.) -> e.g. "pi" instead of "math.pi".

## Installation
Well ... ehm ... search for the mod ingame and install it :-)

## Usage
Press the 3 little dots on the shortcuts UI of Factorio to select the "Calculator". Afterwards you can click on the calculator symbol to open it.

## Changelog
see separate [changelog](CHANGELOG.md)

## License
[MIT](https://choosealicense.com/licenses/mit/)