-- calc-ui-styles.lua

local default_gui = data.raw["gui-style"].default

default_gui.calcui_sprite_obj_style = {
	type = "button_style",
	-- parent="button_style",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	height = 32,
	width = 32,
	scalable = false
}

default_gui.calcui_button_style = {
	type = "button_style",
	-- parent="button_style",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	height = 50,
	width = 50,
	scalable = false
}

default_gui.calcui_textfield_style = {
	type = "textbox_style",
	width = 212
}

default_gui.calcui_table_style = {
	type = "table_style",
	horizontal_spacing = 5,
	vertical_spacing = 1,
	resize_row_to_width = false,
	resize_to_row_height = false,
}

default_gui.calcui_scroll_pane_style = {
	type = "scroll_pane_style",
	-- parent="scroll_pane_style",
	-- flow_style =
	-- {
	-- 	type = "flow_style",
	-- 	parent = "flow_style"
	-- },
	resize_row_to_width = true,
	resize_to_row_height = false,
	minimal_height=128,
	maximal_height=400,
	max_on_row = 1,
}

data:extend({
	{
		type = "sprite",
		name = "sprite_calcui_rant",
		filename = "__calculator-ui__/graphics/nilausRant.png",
		width = 56,
		height = 56
	},
	{
		type = "sprite",
		name = "sprite_calcui_think",
		filename = "__calculator-ui__/graphics/nilausThink.png",
		width = 56,
		height = 56
	},
	{
		type = "sprite",
		name = "sprite_calcui_calculator",
		filename = "__calculator-ui__/graphics/calculator.png",
		width = 64,
		height = 64
	}
})